<!-- Extend area where template is defined -->
<?= $this->extend('templates/adminlte/generalcontent') ?>
<!-- .Extend -->

<!-- Title of the page -->
<?= $this->section('title') ?>Compensation and Benefits<?= $this->endSection() ?>
<!-- .Title -->

<!-- CSS of the page -->
<?= $this->section('css') ?>

<?= $this->endSection() ?>
<!-- .CSS -->

<!-- body attribute - class definition -->
<?= $this->section('bodyclass') ?>sidebar-mini<?= $this->endSection() ?>
<!-- .body attribute -->

<!-- Container title -->
<?= $this->section('containertitle') ?>Employee Compensation and Benefits<?= $this->endSection() ?>
<!-- .Container title -->

<!-- Active breadcrumb -->
<?= $this->section('activebreadcrumb') ?>Compensation and Benefits<?= $this->endSection() ?>
<!-- .Active breadcrumb -->

<!-- Main content -->
<?= $this->section('main') ?>

<!-- Modal Add Income -->
<div class="modal fade" id="mdlAddIncome">
  <div class="modal-dialog">
    <div class="modal-content">
      <form action="<?= url_to('payroll/addcompben') ?>" method="post">
        <div class="modal-header">
          <h4 class="modal-title" >New Employee Income</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-12">
              <p class="lead">Employee Income Information</p>
              <div class="row">
                <?php if($empLoaded) : ?>
                  <div class="col-12">
                    <div class="form-group">
                        <label>Select Income to Assign</label>
                        <select class="form-control" style="width: 100%;" name="inded_id">
                            <?php foreach($incomeList as $income): ?>
                              <option value="<?= $income->inded_id ?>"><?= $income->inded_name ?></option>
                            <?php endforeach; ?>
                        </select>
                        <input type="hidden" name="emppay_id" value="<?= $selectedEmployee->emppay_id ?>" >
                        <input type="hidden" name="emp_id" value="<?= $selectedEmployee->employee_id ?>" >
                    </div>
                    <div class="form-group">
                        <div class="form-check">
                            <input class="form-check-input" type="radio" id="rdoFixedAmount" name="amount_type" value="fixed" checked>
                            <label for="rdoFixedAmount" class="form-check-label">Fixed amount.</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" id="rdoPercentageAmount" name="amount_type" value="perc">
                            <label for="rdoPercentageAmount" class="form-check-label">Amount is in percentage.</label>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="txtAmount">Amount</label>
                        <input class="form-control" type="number" id="txtAmount" name="amount" values="<?= old('amount') ?>">
                    </div>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox">
                            <input class="custom-control-input" type="checkbox" id="chkIsOverride" name="is_override">
                            <label for="chkIsOverride" class="custom-control-label">Override computations if there are any.</label>
                            <p><small><i>Override will implement this amount and not the computational amount made like in SSS, Philhealth, Pag-IBIG and taxastion</i></small></p>
                        </div>  
                    </div>
                  </div>
                <?php else : ?>
                  <div class="col-12">
                    <p class="text-danger">No Employee Loaded. Please select employee first</p>
                  </div>
                <?php endif ?>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Save changes</button>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </form>
    </div>
  </div>
</div>

<!-- Modal Add Deduction -->
<div class="modal fade" id="mdlAddDeduction">
  <div class="modal-dialog">
    <div class="modal-content">
      <form action="<?= url_to('payroll/addcompben') ?>" method="post">
        <div class="modal-header">
          <h4 class="modal-title" >New Employee Deduction</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-12">
              <p class="lead">Employee Deduction Information</p>
              <div class="row">
                <?php if($empLoaded) : ?>
                  <div class="col-12">
                    <div class="form-group">
                        <label>Select Deduction to Assign</label>
                        <select class="form-control" style="width: 100%;" name="inded_id">
                            <?php foreach($deductionList as $deduction): ?>
                              <option value="<?= $deduction->inded_id ?>"><?= $deduction->inded_name ?></option>
                            <?php endforeach; ?>
                        </select>
                        <input type="hidden" name="emppay_id" value="<?= $selectedEmployee->emppay_id ?>" >
                        <input type="hidden" name="emp_id" value="<?= $selectedEmployee->employee_id ?>" >
                    </div>
                    <div class="form-group">
                        <div class="form-check">
                            <input class="form-check-input" type="radio" id="rdoFixedAmount" name="amount_type" value="fixed" checked>
                            <label for="rdoFixedAmount" class="form-check-label">Fixed amount.</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" id="rdoPercentageAmount" name="amount_type" value="perc">
                            <label for="rdoPercentageAmount" class="form-check-label">Amount is in percentage.</label>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="txtAmount">Amount</label>
                        <input class="form-control" type="number" id="txtAmount" name="amount" values="<?= old('amount') ?>">
                    </div>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox">
                            <input class="custom-control-input" type="checkbox" id="chkIsOverride" name="is_override">
                            <label for="chkIsOverride" class="custom-control-label">Override computations if there are any.</label>
                            <p><small><i>Override will implement this amount and not the computational amount made like in SSS, Philhealth, Pag-IBIG and taxastion</i></small></p>
                        </div>  
                    </div>
                  </div>
                <?php else : ?>
                  <div class="col-12">
                    <p class="text-danger">No Employee Loaded. Please select employee first</p>
                  </div>
                <?php endif ?>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Save changes</button>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </form>
    </div>
  </div>
</div>


<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">List of Payroll Type</h3>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-12">
                  <form action="/payroll/compben" method="get">
                    <div class="form-group">
                      <label>Select Employee</label>
                      <div class="input-group mb-3">
                        <select class="form-control select2 rounded-0" name="empid">
                            <?php foreach($empPayInfos as $empPayInfo): ?>
                                <?php $selected = ($empLoaded && $selectedEmployee->employee_id == $empPayInfo->employee_id) ? 'selected' : ''; ?>
                                <?= '<option value="'.$empPayInfo->employee_id.'" '.$selected.'>'.$empPayInfo->last_name.', '.$empPayInfo->first_name.'</option>' ?>
                            <?php endforeach; ?>
                        </select>
                        <span class="input-group-append">
                          <button type="submit" class="btn btn-info btn-flat">Load Income &amp; Deduction</button>
                        </span>
                      </div>
                    </div>
                  </form>
                </div>
              </div>
              <div class="row">
                <div class="col-12">
                  <?php if($empLoaded): ?>
                    <h3>Payroll Income and Deduction Details</h3>
                    <div class="row">
                          <div class="col-6 col-xs-6">
                            <p><strong>Employee Name:</strong> <?= $selectedEmployee->last_name . ', ' . $selectedEmployee->first_name ?></p>
                            <p><strong>Employee ID:</strong> <?= $selectedEmployee->company_issued_id ?></p>
                        </div>
                        <div class="col-6 col-xs-6 text-right">
                          <p><strong>Basic Salary</strong> <?= $selectedEmployee->basic_monthly_pay ?></p>
                          <p><strong>Date:</strong> 20/09/2024</p>
                        </div>
                    </div>
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>Description</th>
                                <th colspan="2" class="text-center">Amount</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                          <?php 
                          
                          $grossTotal = 0; 
                          
                          foreach($empPayIncomeList as $empPayIncome):?>
                            <tr>
                                <td><span class="pl-3"><?= $empPayIncome->inded_name ?></span></td>
                                <td>&nbsp;</td>
                                <td><?= $empPayIncome->amount ?></td>
                                <td>&nbsp;</td>
                            </tr>
                          <?php endforeach; ?>
                            <tr>
                                <td><strong>Gross Total</strong></td>
                                <td>&nbsp;</td>
                                <td><strong>$500.00</strong></td>
                                <td>&nbsp;</td>
                            </tr>
                          
                          <?php foreach($empPayDeductionList as $empPayDeduction):?>
                            <tr>
                                <td><span class="pl-3"><?= $empPayDeduction->inded_name ?></span></td>
                                <td>-<?= $empPayDeduction->amount ?></td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                            </tr>
                          <?php endforeach; ?>
                            <tr>
                                <td><strong>Total Deductions</strong></td>
                                <td><strong>$500.00</strong></td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                            </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th><span class="text-uppercase">Net Income</span></th>
                                <td>&nbsp;</td>
                                <th>$3300.00</th>
                                <td>&nbsp;</td>
                            </tr>
                        </tfoot>
                    </table>
                  <?php else: ?>
                    <p>Select an employee first then click on "Load Income &amp; Deduction" button</p>
                  <?php endif; ?>
                </div>
              </div>
            </div>
            <div class="card-footer">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#mdlAddIncome">Add Income</button>
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#mdlAddDeduction">Add Deduction</button>
            </div>
        </div>
    </div>
</div>


<?= $this->endSection() ?>
<!-- .Main content -->

<!-- Javascript -->

<?= $this->section('js') ?>

<script>
$(document).ready(function() {
  
});

</script>

<?= $this->endSection() ?>

<!-- .Javascript -->